Unit tec02c_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, EC02C_p;

function tec02c: String;

implementation

function tec02c: String;
var
I,J,L,_i :Integer;
T1,T2,T :Real;
AR :Array [0..63] of Real;
AI :Array [0..63] of Real;
GR :Array [0..63] of Real;
GI :Array [0..63] of Real;
H :Array [0..3] of Real;
FR :Array [0..63] of Real;
FI :Array [0..63] of Real;
XR :Array [0..63] of Real;
XI :Array [0..63] of Real;
const
N1 :Integer = 8;
N2 :Integer = 8;
D1 :Real = 0.25;
D2 :Real = 0.25;
ALP :Real = 3.0E-02;
P :Real = 1.0;
label
_1;
begin
Result := '';  {   }
for I:=1 to N1 do
 begin
  for J:=1 to N2 do
   begin
    T1 := D1*(-N1/2+I-1);
    T2 := D2*(-N2/2+J-1);
    T := T1*T1+T2*T2;
    AR[(I-1)+(J-1)*8] := Exp(-T);
    AI[(I-1)+(J-1)*8] := 0.0;
    GR[(I-1)+(J-1)*8] := 1.57079632679*Exp(-T/2.0);
    GI[(I-1)+(J-1)*8] := 0.0;
    XR[(I-1)+(J-1)*8] := Exp(-T);
_1:
    XI[(I-1)+(J-1)*8] := 0.0;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['                    PO' + #$0D#$0A]);
for I:=1 to 8 do
 begin
  for J:=1 to 8 do
   begin
    Result := Result + Format('%16.7f ',[AR[(I-1)+(J-1)*8]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for I:=1 to 8 do
 begin
  for J:=1 to 8 do
   begin
    Result := Result + Format('%16.7f ',[AI[(I-1)+(J-1)*8]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['                    PABA ACT' + #$0D#$0A]);
for I:=1 to 8 do
 begin
  for J:=1 to 8 do
   begin
    Result := Result + Format('%16.7f ',[GR[(I-1)+(J-1)*8]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for I:=1 to 8 do
 begin
  for J:=1 to 8 do
   begin
    Result := Result + Format('%16.7f ',[GI[(I-1)+(J-1)*8]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['                    TOHOE PEEHE' + #$0D#$0A]);
for I:=1 to 8 do
 begin
  for J:=1 to 8 do
   begin
    Result := Result + Format('%16.7f ',[XR[(I-1)+(J-1)*8]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for I:=1 to 8 do
 begin
  for J:=1 to 8 do
   begin
    Result := Result + Format('%16.7f ',[XI[(I-1)+(J-1)*8]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
L := 1;
EC02C(AR,AI,GR,GI,N1,N2,D1,D2,ALP,P,L,H,FR,FI);
L := 2;
EC02C(AR,AI,GR,GI,N1,N2,D1,D2,ALP,P,L,H,FR,FI);
Result := Result + Format('%s',['                    KPTEPAHE YHK' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%16.7f ',[H[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['                    PEYPOBAHHOE PEEHE' + #$0D#$0A]);
for I:=1 to 8 do
 begin
  for J:=1 to 8 do
   begin
    Result := Result + Format('%16.7f ',[FR[(I-1)+(J-1)*8]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for I:=1 to 8 do
 begin
  for J:=1 to 8 do
   begin
    Result := Result + Format('%16.7f ',[FI[(I-1)+(J-1)*8]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
UtRes('tec02c',Result);  {     tec02c.res }
exit;
end;

end.
